DELIMITER $$
CREATE FUNCTION get_date_mills() RETURNS bigint(20)
NO SQL
BEGIN
	SET @date_mills=(select conv( 
				concat(
					   substring(uid,16,3), 
					   substring(uid,10,4), 
					   substring(uid,1,8))
					   ,16,10) 
				div 10000 
				- (141427 * 24 * 60 * 60 * 1000) as current_mills
	from (select uuid() uid) as alias);

	RETURN @date_mills;
END$$

DELIMITER $$
CREATE FUNCTION get_token( mac VARCHAR(50), date_mills VARCHAR(50) ) RETURNS varchar(50) CHARSET latin1
NO SQL
BEGIN

	SET @token=MD5(CONCAT(SUBSTRING(mac,5,6), mac, SUBSTRING(date_mills,1,4), SUBSTRING(mac,3,7), SUBSTRING(date_mills,4,1), date_mills, SUBSTRING(mac,3,10), SUBSTRING(date_mills,12,6)));

RETURN @token;
END$$

show function status;
